Subject: Re: [bug#77735] [PATCH] gnu: flatpak: Fix "No GSettings schemas are installed on the system".

From: Ludovic Courtès <[email-masked]>
Date: Thu, 17 Apr 2025 22:31:51 +0200

Hey Bost,

Rostislav Svoboda <[email-masked]> writes:

> I've seen some examples like:

I don’t doubt there are counterexamples, but! this one:

> (define-public muparser
>   ;; When switching download sites, muparser re-issued a 2.2.5 release with a
>   ;; different hash. In order to make `guix package --upgrade` work correctly,
>   ;; we set a Guix packaging revision.
>   ;; When the next version of muparser is released, we can remove
>   ;; UPSTREAM-VERSION and REVISION and use the plain VERSION.

… apparently had a good reason to do so.  :-)

Not sure about the others.

> (But if you insist then I changed that - see attachment)

Applied, thanks!

Ludo’.